
# remove it when kde4 will be official kde package
%define _prefix /opt/kde4/
%define _libdir %_prefix/%_lib
%define _datadir %_prefix/share/
%define _bindir %_prefix/bin
%define _includedir %_prefix/include/
%define _iconsdir %_datadir/icons/
%define _sysconfdir %_prefix/etc/
%define _docdir %_datadir/doc/

%define branch_date 20070228

%define lib_name_orig lib%name
%define lib_major 1
%define lib_name %mklibname %name %lib_major

%define use_enable_final 0
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%define branch 1
%{?_branch: %{expand: %%global branch 1}}


Name:		kdeaddons4
Summary: 	Kdeaddons
Group: 		Graphical desktop/KDE
Version:    	3.80.3
Release:    	%mkrel 0.%branch_date.2
Epoch:		1
License:  	GPL
URL: http://www.kde.org
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeaddons-%version-%branch_date.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeaddons-%version.tar.bz2
%endif

Patch0:		kdeaddons-3.2.3-call-drakclock.patch
BuildRoot: 	%_tmppath/%name-%version-%release-root
Requires:	ImageMagick
Requires:	libjpeg-progs
%define mini_release %mkrel 0.%branch_date.1
BuildRequires:  X11-devel
BuildRequires:  freetype2-devel
BuildRequires: kdelibs4-devel >= %version-%mini_release
BuildRequires:  kdebase4-devel >= %version-%mini_release 
BuildRequires:	kdegames4-devel >= %version-%mini_release
BuildRequires:	alsa-lib-devel
BuildRequires:	libaudiofile-devel 
BuildRequires:	bzip2-devel
BuildRequires:  esound-devel 
BuildRequires:	jpeg-devel 
BuildRequires:	lcms-devel 
BuildRequires:	mng-devel
BuildRequires:  png-devel 
BuildRequires:  qca2-devel
#BuildRequires:	libkdepim-kontact-devel 
#BuildRequires:	libkdepim-kaddressbook-devel
BuildRequires: openssl-devel
BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires:	mesaglu-devel

%description
Plugins for some KDE applications: kdeaddons extends the functionality
of Konqueror, noatun (media player), kicker (some applets)
and knewstiker.

%post 

%postun 

%files
%defattr(-,root,root)
%_bindir/fsview
%_bindir/ksig
%_bindir/lnkforward
%_bindir/kio_media_realfolder
%_datadir/config/translaterc
%_datadir/apps/konqueror/*
%_datadir/apps/knewsticker/*
%_datadir/apps/imagerotation/*
%_datadir/apps/konqiconview/*
%_datadir/apps/konqlistview/*
%_datadir/apps/khtml/*
%_datadir/apps/kicker/*
%_datadir/apps/fsview/*
%_datadir/apps/ksig/*
%_datadir/apps/domtreeviewer/*
%_datadir/mimelnk/application/*.desktop
%_datadir/services/*.desktop
%_datadir/config.kcfg/kbinaryclock.kcfg
%_datadir/applications/kde4/ksig.desktop
%_iconsdir/*/*/*/*
%_libdir/kde4/*
%_datadir/applications/kde4/lnkforward.desktop
%_datadir/apps/microformat/pics/microformat.png

%exclude %_libdir/kde4/libkimgallery.*
%exclude %_libdir/kde4/libakregator*
%exclude %_libdir/kde4/libsearchbarplugin.*
%exclude %_datadir/apps/konqueror/icons/crystalsvg/16x16/actions/google*
%exclude %_datadir/apps/khtml/kpartplugins/akregator_konqfeedicon.desktop
%exclude %_datadir/apps/khtml/kpartplugins/akregator_konqfeedicon.rc
%exclude %_datadir/services/akregator_konqplugin.desktop

%doc %_docdir/HTML/en/kicker-applets/*.bz2
%doc %_docdir/HTML/en/kicker-applets/*.docbook
%doc %_docdir/HTML/en/konq-plugins/babel/*.bz2
%doc %_docdir/HTML/en/konq-plugins/babel/*.docbook
%doc %_docdir/HTML/en/konq-plugins/crashes/*.bz2
%doc %_docdir/HTML/en/konq-plugins/crashes/*.docbook
%doc %_docdir/HTML/en/konq-plugins/dirfilter/*.bz2
%doc %_docdir/HTML/en/konq-plugins/dirfilter/*.docbook
%doc %_docdir/HTML/en/konq-plugins/domtreeviewer/*.bz2
%doc %_docdir/HTML/en/konq-plugins/domtreeviewer/*.docbook
%doc %_docdir/HTML/en/konq-plugins/fsview/*.bz2
%doc %_docdir/HTML/en/konq-plugins/fsview/*.docbook
%doc %_docdir/HTML/en/konq-plugins/imgallery/*.bz2
%doc %_docdir/HTML/en/konq-plugins/imgallery/*.docbook
%doc %_docdir/HTML/en/konq-plugins/imgallery/*.png
%doc %_docdir/HTML/en/konq-plugins/*.bz2
%doc %_docdir/HTML/en/konq-plugins/*.docbook
%doc %_docdir/HTML/en/konq-plugins/khtmlsettings/*.bz2
%doc %_docdir/HTML/en/konq-plugins/khtmlsettings/*.docbook
%doc %_docdir/HTML/en/konq-plugins/mediaplayer/*.bz2
%doc %_docdir/HTML/en/konq-plugins/mediaplayer/*.docbook
%doc %_docdir/HTML/en/konq-plugins/uachanger/*.bz2
%doc %_docdir/HTML/en/konq-plugins/uachanger/*.docbook
%doc %_docdir/HTML/en/konq-plugins/validators/*.bz2
%doc %_docdir/HTML/en/konq-plugins/validators/*.docbook
%doc %_docdir/HTML/en/konq-plugins/webarchiver/*.bz2
%doc %_docdir/HTML/en/konq-plugins/webarchiver/*.docbook
%doc %_docdir/HTML/en/ksig/*.bz2
%doc %_docdir/HTML/en/ksig/*.docbook
%doc %_docdir/HTML/en/ksig/screenshot.png

#-----------------------------------------------------------------------------------

%package atlantik
Summary:    	Atantik generator
Group:      	Graphical desktop/KDE
Requires:   	kdegames4

%description atlantik
Generator for atlantik program


%files atlantik
%defattr(-,root,root)
%_bindir/atlantikdesigner
%dir %_datadir/apps/atlantikdesigner/
%_datadir/apps/atlantikdesigner/*
%_datadir/applications/kde4/atlantikdesigner.desktop

#-----------------------------------------------------------------------------------

%package searchbar
Summary:    	Searchbar
Group:      	Graphical desktop/KDE
Requires:   	kdebase4-progs

%description searchbar
Search bar for konqueror

%files searchbar
%defattr(-,root,root)
%_libdir/kde4/libsearchbarplugin.*
%_datadir/apps/konqueror/kpartplugins/searchbar*
%_datadir/apps/konqueror/icons/crystalsvg/16x16/actions/google*

#-----------------------------------------------------------------------------------

%package akregator
Summary:    	Akregator plugins
Group:      	Graphical desktop/KDE
#Requires:   	kdepim4-akregator

%description akregator
Akregator plugins.

%files akregator
%defattr(-,root,root)
%_libdir/kde4/libakregatorkonqfeedicon.*
%_libdir/kde4/libakregatorkonqplugin.*
%_datadir/apps/akregator/*
%_datadir/apps/khtml/kpartplugins/akregator_konqfeedicon.desktop
%_datadir/apps/khtml/kpartplugins/akregator_konqfeedicon.rc
%_datadir/services/akregator_konqplugin.desktop

#-----------------------------------------------------------------------------------

%package noatun
Summary:        Noatun plugins
Group:          Graphical desktop/KDE

%description noatun
Plugins for noatun

%files noatun
%defattr(-,root,root)

#-----------------------------------------------------------------------------------

%package konqimagegallery
Summary:        Konqueror plugins to create an image gallery
Group:          Graphical desktop/KDE
Requires:       kdebase4-progs

%description konqimagegallery
Konqueror plugins to create an image gallery.

%files konqimagegallery
%defattr(-,root,root)
%_libdir/kde4/libkimgallery.*
%exclude %_iconsdir/*/*/*/imagegallery*
%_datadir/icons/crystalsvg/22x22/actions/imagegallery.png

#-----------------------------------------------------------------------------------

%package        metabar
Summary:        A sidebar plugin for KDE's Konqueror
Group:          Graphical desktop/KDE
Requires:       kdebase4-progs

%description metabar
A sidebar plugin for KDE's Konqueror which shows information and actions for
selected files and directories.

%files metabar
%defattr(-,root,root,-)
#-----------------------------------------------------------------------------------

%prep

%setup  -q -nkdeaddons-%version-%branch_date

%build
cd $RPM_BUILD_DIR/kdeaddons-%version-%branch_date
mkdir build
cd build
export QTDIR=/usr/lib/qt4/
export PATH=$QTDIR/bin:$PATH

cmake -DCMAKE_INSTALL_PREFIX=%_prefix \
%if %use_enable_final
      -DKDE4_ENABLE_FINAL=ON \
%endif
%if %unstable
      -DCMAKE_BUILD_TYPE=Debug \
%endif
%if "%{_lib}" != "lib"
      -DLIB_SUFFIX=64 \
%endif
	../

%make


%install
rm -fr %buildroot
cd $RPM_BUILD_DIR/kdeaddons-%version-%branch_date
cd build


make install DESTDIR=%buildroot

mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/atlantikdesigner.desktop "More Applications/Development/Development Environments" 
mandriva-add-xdg-categories.pl %buildroot/%_datadir/applications/kde4/ksig.desktop "Internet/Mail" 


%clean
rm -fr %buildroot



%changelog
* Wed Feb 28 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070228.2mdv2007.1
+ Revision: 127247
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot
- new snapshot
- Update
- Add missing build requires

* Thu Jan 11 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107363
- +1
- Update

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 103755
- Update
- Import kdeaddons4






* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-3mdv2007.0
- kde 4.0
